Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002156KdenliveEffectspublic2011-06-04 19:242011-11-01 18:56
Reporterramack 
Assigned Toj-b-m 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
Platformamd64OSLinuxOS VersionDebian Testing
Product Version 
Target VersionFixed in Version0.8.2 
Summary0002156: effect: fade to/from black is fade to/from red
DescriptionAfter inserting a .jpg into the timeline and adding fade-from-black or fade-to-black effect, the effect is actually in red not black. I have tried this on 4 Debian boxes, the two AMD64 boxes reproduce this, the boxes that do not reproduce this are 32bit boxes.

Steps To ReproduceInsert clip.

Add effect to clip.

View in project monitor.
Additional Information$ melt -version
MLT melt 0.7.2
Copyright (C) 2002-2011 Ushodaya Enterprises Limited
<http://www.mltframework.org/> [^]
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Segmentation fault

$ kdenlive -version
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filespng file icon ss02.png [^] (241,442 bytes) 2011-06-04 19:24


txt file icon melt_debug.txt [^] (59,175 bytes) 2011-06-18 23:27 [Show Content]

- Relationships

-  Notes
(0006809)
j-b-m (administrator)
2011-06-04 22:58

Can you also reproduce the problem with a color clip instead of an image? If so, could you attach the project file to the bug report so that we can try to reproduce?
(0006810)
ramack (reporter)
2011-06-05 00:16

Hi,

A color clip does not reproduce the problem.

Rich
(0006825)
ramack (reporter)
2011-06-09 01:58
edited on: 2011-06-09 02:09

Let me back up a week or so. I had been able to start this project, edit and render successfully. It was last week that the fade to red started. I don't think that it was related to a apt-get update and dist-upgrade. Prior to starting the bug report I had purged and reinstalled with the same results.

When I run kdenlive from the CLI, starting a new project, insert a picture (jpg) and then exit. Not sure if any of this is of value.

$ kdenlive
project monitor connected
clip monitor connected
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
Error: Directory Canon: Next pointer is out of bounds; ignored.
kdenlive(27972)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:

(0006826)
ramack (reporter)
2011-06-09 06:18

This is from my 32bit netbook, which fade to black is working correctly.


$ kdenlive
project monitor connected
clip monitor connected
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
kdeinit4: preparing to launch /usr/lib/libkdeinit4_klauncher.so
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kded4.so
QMetaObject::invokeMethod: No such method KUniqueApplication::loadCommandLineOptionsForNewInstance()
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kbuildsycoca4.so
kbuildsycoca4 running...
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kconf_update.so
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kdeinit4: preparing to launch /usr/lib/kde4/kio_trash.so
kdeinit4: preparing to launch /usr/lib/kde4/kio_file.so
kio_trash(3333)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing "/usr/share/mime/magic"
kio_trash(3333)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing "/home/ramack/.local/share/mime/magic"
kdenlive(3230)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kdeinit4: preparing to launch /usr/bin/knotify4
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
knotify(3357) KNotify::event: 1 ref= 0
QMetaObject::invokeMethod: No such method KUniqueApplication::loadCommandLineOptionsForNewInstance()
QClipboard: Unable to receive an event from the clipboard manager in a reasonable time
(0006880)
ramack (reporter)
2011-06-12 22:54

Info about my video card:
01:00.0 VGA compatible controller: nVidia Corporation G98 [GeForce 8400 GS] (rev a1)


If the problem was due to a dist-upgrade, the packages below would be the cause. I try to keep record of what is changed for every dist-upgrade and this is the closest to when the problem began.

20110528
The following packages will be REMOVED:
  gstreamer0.10-plugins-really-bad
The following NEW packages will be installed:
  gcj-4.6-base gcj-4.6-jre-lib libgcj12
The following packages will be upgraded:
  autoconf-doc gstreamer0.10-plugins-bad gstreamer0.10-plugins-good
  libdrm-intel1 libdrm-nouveau1a libdrm-radeon1 libdrm2 libffmpegthumbnailer4
  libgstfarsight0.10-0 libpaper-utils libpaper1 midori nvidia-kernel-common
  octave3.2 octave3.2-common octave3.2-htmldoc pdftk pkg-config
  python-pkg-resources python-zope.interface

Rich
(0006897)
ramack (reporter)
2011-06-15 03:54

Ok, now my 32bit netbook which was working before the dist-grade. After the upgrade, I am now getting this same error, fade to red.

20110614
The following packages will be REMOVED:
  idle-python2.5 libkdegames5 librpm1 librpmbuild1 libtar ntfsprogs
The following NEW packages will be installed:
  cpp-4.6 docbook-xsl docbook-xsl-doc-html foomatic-db-compressed-ppds fuse
  g++-4.6 gcc-4.6 gcj-4.6-base gcj-4.6-jre-headless gcj-4.6-jre-lib
  grub-pc-bin grub2-common hpijs libarchive1 libauthen-ntlm-perl
  libclass-isa-perl libdbusmenu-qt2 libdigest-hmac-perl libdigest-sha1-perl
  libdlrestrictions1 libdvbpsi7 libgcj12 libhpmud0 libkatepartinterfaces4
  libkcmutils4 libkdegames5a libkdewebkit5 libkemoticons4 libkidletime4
  libkprintutils4 liblwp-protocol-https-perl libmtp-runtime libnepomukutils4
  libntfs-3g804 libntrack-qt4-1 libntrack0 libperl5.12 libpod-plainer-perl
  libpolkit-qt-1-1 libqt4-declarative librpm2 librpmbuild2 librpmio2
  librpmsign0 libsnmp-base libsnmp15 libstdc++6-4.6-dev libswitch-perl libtar0
  libx264-115 libxcb-util0 min12xxw phonon pnm2ppa
The following packages have been kept back:
  gcj-jre-headless
The following packages will be upgraded:
  acl acpi acpid alsa-base alsa-utils apt-xapian-index binutils busybox
  cabextract consolekit cpp cpp-4.4 cups cups-client cups-common cups-ppdc
  debianutils dhcp3-client dhcp3-common dialog dictionaries-common e2fslibs
  e2fsprogs exim4 exim4-base exim4-config exim4-daemon-light exiv2 exo-utils
  foomatic-db-engine fuse-utils g++ gcc gcc-4.4 gcc-4.4-base gcc-4.6-base
  gconf2 gconf2-common geoip-database gir1.2-glib-2.0 git git-man
  glib-networking grep grub-common grub-pc gsettings-desktop-schemas
  gstreamer0.10-alsa gstreamer0.10-gnomevfs gstreamer0.10-plugins-base
  gstreamer0.10-plugins-good gstreamer0.10-plugins-ugly gstreamer0.10-x
  initramfs-tools installation-report isc-dhcp-client isc-dhcp-common
  iso-codes kdebase-runtime kdebase-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdenlive kdenlive-data kdoctools klibc-utils ksudoku
  liba52-0.7.4 libacl1 libalgorithm-diff-xs-perl libasound2 libasyncns0
  libattr1 libaudio2 libaudit0 libavcodec52 libavformat52 libavutil50 libbsd0
  libc-bin libc-dev-bin libc6 libc6-dev libc6-i686 libcairo-perl
  libcairomm-1.0-1 libcap2 libcap2-bin libccid libck-connector0 libcomerr2
  libcompress-bzip2-perl libcompress-raw-bzip2-perl libcompress-raw-zlib-perl
  libcups2 libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1 libcupsppdc1
  libdb4.8 libdb5.1 libdbus-glib-1-2 libdc1394-22 libdirac-decoder0
  libdirac-encoder0 libdjvulibre-text libdjvulibre21 libdrm-intel1
  libdrm-nouveau1a libdrm-radeon1 libdrm2 libexiv2-9 libexo-1-0 libexo-common
  libffmpegthumbnailer4 libfuse2 libgcc1 libgcj-bc libgcj-common libgconf2-4
  libgdu0 libgfortran3 libgirepository-1.0-1 libgl1-mesa-dri libgl1-mesa-glx
  libglib-perl libglibmm-2.4-1c2a libglu1-mesa libgnome2-0 libgnome2-common
  libgomp1 libgpod-common libgpod4 libgraphicsmagick3 libgsf-1-114
  libgsf-1-common libgssapi-krb5-2 libgstreamer-plugins-base0.10-0
  libgstreamer0.10-0 libgtk2-perl libgtop2-7 libgtop2-common libgudev-1.0-0
  libhtml-parser-perl libidl0 libimobiledevice1 libio-compress-perl
  libio-socket-ssl-perl libisofs6 libjte1 libk5crypto3 libkde3support4
  libkdecore5 libkdesu5 libkdeui5 libkdnssd4 libkfile4 libkhtml5 libkio5
  libkjsapi4 libkjsembed4 libklibc libkmediaplayer4 libknewstuff2-4
  libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4 libkpty4 libkrb5-3
  libkrb5support0 libkrosscore4 libkrossui4 libktexteditor4 libkutils4
  libldap-2.4-2 liblocale-gettext-perl libmlt++3 libmlt-data libmlt4 libmpfr4
  libmtp8 libnepomuk4 libnepomukquery4a libnet-libidn-perl libnet-ssleay-perl
  libnspr4-0d libnss3-1d libogg0 liborbit2 libpango-perl libpaper-utils
  libpaper1 libphonon4 libpipeline1 libplasma3 libplist1 libpostproc51 libpq5
  libqca2 libqt3-mt libqt4-assistant libqt4-core libqt4-dbus libqt4-designer
  libqt4-gui libqt4-network libqt4-opengl libqt4-qt3support libqt4-script
  libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test
  libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4
  libquadmath0 libquicktime2 libraptor2-0 librdf0 libreadline6
  libschroedinger-1.0-0 libsdl1.2debian libsensors4 libsolid4
  libsoup-gnome2.4-1 libsoup2.4-1 libsqlite3-0 libss2 libstartup-notification0
  libstdc++6 libsvga1 libswscale0 libtext-charwidth-perl libtext-iconv-perl
  libthreadweaver4 libtotem-plparser17 libtwolame0 libudev0 libupower-glib1
  libuuid-perl libvlc5 libvlccore4 libvte9 libwpd-0.9-9 libwps-0.2-2
  libwww-perl libwxbase2.8-0 libwxgtk2.8-0 libxapian22 libxcb-keysyms1
  libxcb-render-util0 libxext6 libxml-parser-perl libxml2 libxml2-utils
  libxvidcore4 linux-image-2.6-686 linux-image-2.6.38-2-686 linux-libc-dev
  linux-sound-base lm-sensors locales melt mencoder midori module-init-tools
  mplayer net-tools ntfs-3g os-prober oxygen-icon-theme patch perl perl-base
  perl-modules plasma-scriptengine-javascript python-apt python-apt-common
  python-cairo python-dbus python-foolscap python-glade2 python-gobject
  python-gobject-cairo python-gtk2 python-gtksourceview2 python-libxml2
  python-matplotlib python-matplotlib-data python-openssl python-pkg-resources
  python-serial python-tk python-vte python-wxgtk2.8 python-wxversion
  python-xapian python-zope.interface qt4-qtconfig readline-common
  redland-utils rpm rpm-common rpm2cpio sgml-data smb4k udev upower vim-common
  vim-tiny vlc vlc-data vlc-nox vlc-plugin-notify vlc-plugin-pulse x11-common
  x11-utils xauth xbase-clients xchm xfce4-panel xfce4-places-plugin
  xfce4-session xfce4-settings xfce4-xkb-plugin xorg xscreensaver
  xscreensaver-data xserver-common xserver-xephyr xserver-xorg
  xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev
  xserver-xorg-input-kbd xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips
  xserver-xorg-video-cirrus xserver-xorg-video-dummy xserver-xorg-video-fbdev
  xserver-xorg-video-geode xserver-xorg-video-glint xserver-xorg-video-i128
  xserver-xorg-video-i740 xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-tga
  xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa
  xserver-xorg-video-vmware xserver-xorg-video-voodoo xterm
380 upgraded, 54 newly installed, 6 to remove and 1 not upgraded.
Need to get 377 MB of archives.
After this operation, 198 MB of additional disk space will be used.
Do you want to continue [Y/n]?
(0006911)
stef716 (reporter)
2011-06-18 23:26

We have the same problem. All my still images (.jpg, .png) have exactly this red color like in your screenshot.

For me it is visible in every rendered output regardless of any transitions or effects.

I can even observe this just by starting melt on the image:
ffplay anyImage.jpg looks good
melt anyImage.jpg looks very red

My machine is also Debian Testing AMD64 / ffmpeg 5:0.6.2-0.4
I have tried Debian melt 0.7.2, and compiled todays version from git repository -> same problem

I will upload the "melt -debug" output. I have compiled melt in debug mode so if I can provide any useful information please tell me what you need.

If anybody has a workaround this would be highly appreciated.

thanks
Stefan
(0006912)
ramack (reporter)
2011-06-19 01:17

This isn't solved, but I was able to narrow down the cause. Right now, I'm guessing it has something to do with one of the packages from debian-multimedia.org

See my post on a Debian forum:
http://forums.debian.net/viewtopic.php?f=6&t=65027&p=377195#p377195 [^]

My last post includes my temporary solution. In brief, remove the multimedia repo from sources.list, purge melt and ffmpeg +others. Then reinstall Kdenlive. I am now able to go back into the project where I initially encountered the problem and I can view/render sections and the effects are correct.
(0006918)
ramack (reporter)
2011-06-19 16:06

$ sudo apt-get purge kdenlive

$ sudo apt-get purge libavcodec52 libavdevice52 libavfilter1 libavformat52 libavutil50 libpostproc51 libswscale0 ffmpeg melt

then, in /etc/apt/sources.list, comment out the debian-multimedia.org repo.

$ sudo apt-get update
$ sudo apt-get install kdenlive

You should be back to a working system...
(0006919)
stef716 (reporter)
2011-06-19 19:39

updating to unstable using the new melt (1:0.7.2+git20110530-0.0) and ffmpeg ( 5:0.6.3+git20110613-0.1) from Debian Multimedia also fixed it.

Stefan
(0006920)
ramack (reporter)
2011-06-19 22:55

I have filed a bug report with libav/debian-multimedia.org since it appears now that it is not a Kdenlive bug.

How can I only upgrade the two packages? I don't want to upgrade my system to Sid.
(0006921)
stef716 (reporter)
2011-06-19 23:32

here is the response of the Debian Multimedia package maintainer:
http://www.debian-multimedia.org/lurker/message/20110619.104354.991f04f5.en.html [^]

I want to add that updating to Sid packages of ffmpeg/melt has broken my kdenlive which is supplied by official Debian Sid. I had to recompile kdenlive sources against the new ffmpeg/melt. Then everything worked perfect.

I was told that in future kdenlive will have own packages in Debian Multimedia again.

I don't know if there's a convenient way to mix testing and unstable for this special case. Should be possible with proper apt-pinning. I have just seen the endless dependencies of mlt,ffmpeg,codecs,etc... and decided to go with sid.
(0006940)
stef716 (reporter)
2011-06-23 10:49

kdenlive is back in Debian Multimedia.
Grab the sid packages. Everything is working for me now.
(0006941)
ramack (reporter)
2011-06-23 15:05

I can't switch the box I use for my editing to Sid. I'll have to wait until the Sid packages are worked into Testing. So since this seems to be an bug in the debian-multimedia.org repos, can't this report be marked solved or resolved?

- Issue History
Date Modified Username Field Change
2011-06-04 19:24 ramack New Issue
2011-06-04 19:24 ramack File Added: ss02.png
2011-06-04 22:58 j-b-m Note Added: 0006809
2011-06-04 22:58 j-b-m Assigned To => j-b-m
2011-06-04 22:58 j-b-m Status new => feedback
2011-06-05 00:16 ramack Note Added: 0006810
2011-06-05 00:16 ramack Status feedback => assigned
2011-06-09 01:58 ramack Note Added: 0006825
2011-06-09 02:04 ramack Note Edited: 0006825 View Revisions
2011-06-09 02:09 ramack Note Edited: 0006825 View Revisions
2011-06-09 06:18 ramack Note Added: 0006826
2011-06-12 22:54 ramack Note Added: 0006880
2011-06-15 03:54 ramack Note Added: 0006897
2011-06-18 23:26 stef716 Note Added: 0006911
2011-06-18 23:27 stef716 File Added: melt_debug.txt
2011-06-19 01:17 ramack Note Added: 0006912
2011-06-19 16:06 ramack Note Added: 0006918
2011-06-19 19:39 stef716 Note Added: 0006919
2011-06-19 22:55 ramack Note Added: 0006920
2011-06-19 23:32 stef716 Note Added: 0006921
2011-06-23 10:49 stef716 Note Added: 0006940
2011-06-23 15:05 ramack Note Added: 0006941
2011-06-23 16:13 j-b-m Status assigned => resolved
2011-06-23 16:13 j-b-m Fixed in Version => Recent git
2011-06-23 16:13 j-b-m Resolution open => no change required
2011-07-05 12:15 j-b-m Fixed in Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker